commit:     bbf2a74a5b6226be733b008b1d09b015398e24c8
Author:     Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Sun Sep 25 20:58:07 2016 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sat Oct  1 22:08:35 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbf2a74a

app-office/libreoffice: Version bump to 5.2.2.2

Package-Manager: portage-2.3.0

 app-office/libreoffice/Manifest                   |   2 +
 app-office/libreoffice/libreoffice-5.2.2.2.ebuild | 558 ++++++++++++++++++++++
 2 files changed, 560 insertions(+)

diff --git a/app-office/libreoffice/Manifest b/app-office/libreoffice/Manifest
index 2683f67..3de50e3 100644
--- a/app-office/libreoffice/Manifest
+++ b/app-office/libreoffice/Manifest
@@ -10,6 +10,8 @@ DIST ce12af00283eb90d9281956524250d6e-xmlsec1-1.2.20.tar.gz 
1769329 SHA256 32215
 DIST d62650a6f908e85643e557a236ea989c-vigra1.6.0.tar.gz 16525605 SHA256 
1f188ac03a8aa4663223eca8c82f91a55293d066d67127082e29a7dba1a98c9f SHA512 
d08a7fe432e8df47d1d8992a45bb5f33149cb75b90eb74b2f2e457628d21a94b17eae0045096b053d2a866bf7710c775581c3e417b5dfaf66601aa18071b7305
 WHIRLPOOL 
95dc6ec0fb293c3538c1d51241283edf4e21647dcfd10229233ab7c3f13f7c78e6bb02c4d292a7cd2a2ec95575d775f0395e837bbc88ab4ddbaa5adfd62be2f0
 DIST libreoffice-5.1.4.2.tar.xz 176233960 SHA256 
cae54a79ed858ad92044179b5c33bd29c5770a8eccde04ed80c5ebfd92078385 SHA512 
80e79b6a20f85e295fead9fc5f9578d846a889fe6bc7a0f51b76117408ee6c8e7fbddf99c22e2caaac3253f10907121ed3508cefab2fb1b2ccaa90c4cf52c33a
 WHIRLPOOL 
2005e5321b6e25196db535a786c50b66c635b07d1482e562f1595f3f84fbf0c702717d934d50e319822f194f1bdc9d15da1885658042d277ae8535f75f9856ba
 DIST libreoffice-5.2.1.2.tar.xz 183525816 SHA256 
81399c823a554bfae416a32e06f074cda4cec38747e764587d7a93162fefe291 SHA512 
f68923ec3937ffabb322ac318ea161eb44ce7c1c84918882b915ddb29cc3f3e4d7ff688bc6d727213334dc968ddce0ec8159c364a8d70e7c21f575b084e061ed
 WHIRLPOOL 
dce20534110c564ad65aaa96d9838bf0eec40a53c531a6928b56dd20ad6bcf017c9c317111c12250f3de04fdda6bfacbf36744571e4e49f57b84690bc6d4138c
+DIST libreoffice-5.2.2.2.tar.xz 182258452 SHA256 
5952eaa0b06a0659cf7cca397f95c00e73f0f410f14310deb363985746dad9e0 SHA512 
1b59a0b8e28471a9ea97334b4e383d177f6cd6624dd2dad6541aa87fd836188a1c26a8755aef22510e53c2cf1b7b711a647867e07bde6e86ea8692a61b4679c8
 WHIRLPOOL 
0b9a1e59f6211a3196f6efb3f445f9b1c841e6ed640c2023c0791820de3b3166e99ad4d6b74e0abb24b35fa849fbf0a32dae4f630bb723d2af1b4e84d0c36855
 DIST libreoffice-branding-gentoo-0.8.tar.xz 151568 SHA256 
22722121be062742624e0634beae92289c75e6a99ed507d3bf0a05c5164e3c69 SHA512 
785031a699b1d1895ce4b50ffc3ddf645f3a0ef9acdf37facfd18cf75db9484cb8f53a50abb63d6006ead76a80b6ff5aa99661063245ebb84bd64013d713de7f
 WHIRLPOOL 
1f36652a52d501d6548cfa9aa013b3e3a1867aa2b0693d2274cf7816d4aa4e0cde3c7096cc71ed47cf74e5f96da2757bf537f553021f8fd86939accb227bf538
 DIST libreoffice-help-5.1.4.2.tar.xz 1905160 SHA256 
60356c3e3a8e5ba8216c18e127cfa2b7d0eb55c69e50f056e8f78a7d9dc735cc SHA512 
a8af619dff4b873574afd4b6cfc930543ab58a449a5cfa4b76a0edf242e18a885b6cba1f1a660e9a07e902c367f1a305c2c525f2b0a70e99f56ae5303abef5fe
 WHIRLPOOL 
2e195dac9e6d2280ec3ac36243c4c62010e04763c5510a1f5e06f39e2f6e44aad555b460f72b2f09aba43a9571b3d20b50d6caf4a028e3e6acfe4e37d7598b70
 DIST libreoffice-help-5.2.1.2.tar.xz 1936316 SHA256 
0721618b93b2377ac53d049f08e8646037c2acb4b3f0440823f3b0e1710d9656 SHA512 
c758f62870c06b76c1ea600ad8e50a9318ac42203a0bd1ff3b1ed1f49bda4eca83eeaabf1973f9be86e27d63d310d13460d333657eeb157d40dddfb8c1d2ef31
 WHIRLPOOL 
808d427f9fe1422ebbf96c8e7656279ca9dbcfec35e63c17450d43f65f2c2a0bf6a97d3d8da312589af2cdf7477ece03946d6207a6f517de9e18f644404d3ec7
+DIST libreoffice-help-5.2.2.2.tar.xz 1919792 SHA256 
01c639223d9a31b58480935e1fef4f1bc7b82306f5fac8b6269541ab411ca2be SHA512 
3691d843d84d21aae8be2d9dfe88f47e83fb13d0b92f9158e55bdfa40193c5102bafef40f048757d35c5c4b9660740c87614b5140760293e069ec01934b02223
 WHIRLPOOL 
c0b29a181fa9b6df5299b77032908d88842f41ff2a66ca84af7f02ddbf2540b668649ea3e8be205cbc6ccde70fe30e548a38dd43877ea394be0e7fcd467b50cb

diff --git a/app-office/libreoffice/libreoffice-5.2.2.2.ebuild 
b/app-office/libreoffice/libreoffice-5.2.2.2.ebuild
new file mode 100644
index 00000000..238d588
--- /dev/null
+++ b/app-office/libreoffice/libreoffice-5.2.2.2.ebuild
@@ -0,0 +1,558 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+KDE_REQUIRED="optional"
+KDE_SCM="git"
+CMAKE_REQUIRED="never"
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+PYTHON_REQ_USE="threads,xml"
+
+# experimental ; release ; old
+# Usually the tarballs are moved a lot so this should make
+# everyone happy.
+DEV_URI="
+       http://dev-builds.libreoffice.org/pre-releases/src
+       http://download.documentfoundation.org/libreoffice/src/${PV:0:5}/
+       http://download.documentfoundation.org/libreoffice/old/${PV}/
+"
+ADDONS_URI="http://dev-www.libreoffice.org/src/";
+
+BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
+# PATCHSET="${P}-patchset-01.tar.xz"
+
+[[ ${PV} == *9999* ]] && SCM_ECLASS="git-r3"
+inherit multiprocessing autotools bash-completion-r1 check-reqs eutils 
java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs 
flag-o-matic versionator xdg-utils ${SCM_ECLASS}
+unset SCM_ECLASS
+
+DESCRIPTION="A full office productivity suite"
+HOMEPAGE="http://www.libreoffice.org";
+SRC_URI="branding? ( http://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
+[[ -n ${PATCHSET} ]] && SRC_URI+=" 
http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}";
+
+# Split modules following git/tarballs
+# Core MUST be first!
+# Help is used for the image generator
+MODULES="core help"
+# Only release has the tarballs
+if [[ ${PV} != *9999* ]]; then
+       for i in ${DEV_URI}; do
+               for mod in ${MODULES}; do
+                       if [[ ${mod} == core ]]; then
+                               SRC_URI+=" ${i}/${P}.tar.xz"
+                       else
+                               SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
+                       fi
+               done
+               unset mod
+       done
+       unset i
+fi
+unset DEV_URI
+
+# Really required addons
+# These are bundles that can't be removed for now due to huge patchsets.
+# If you want them gone, patches are welcome.
+ADDONS_SRC=(
+       "${ADDONS_URI}/ce12af00283eb90d9281956524250d6e-xmlsec1-1.2.20.tar.gz" 
# modifies source code
+       "collada? ( 
${ADDONS_URI}/4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2
 )"
+       "java? ( 
${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
+       # no release for 8 years, should we package it?
+       "libreoffice_extensions_wiki-publisher? ( 
${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )"
+       # Does not build with 1.6 rhino at all
+       "libreoffice_extensions_scripting-javascript? ( 
${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )"
+       # requirement of rhino
+       "libreoffice_extensions_scripting-javascript? ( 
${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )"
+       # not packageable
+       "odk? ( 
http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll 
)"
+)
+SRC_URI+=" ${ADDONS_SRC[*]}"
+
+unset ADDONS_URI
+unset ADDONS_SRC
+
+# Extensions that need extra work:
+LO_EXTS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher"
+
+IUSE="bluetooth +branding coinmp collada +cups dbus debug eds firebird gltf 
gnome googledrive
+gstreamer +gtk gtk3 jemalloc kde libressl mysql odk pdfimport postgres 
quickstarter telepathy test vlc
+$(printf 'libreoffice_extensions_%s ' ${LO_EXTS})"
+
+LICENSE="|| ( LGPL-3 MPL-1.1 )"
+SLOT="0"
+[[ ${PV} == *9999* ]] || \
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+       app-arch/unzip
+       app-arch/zip
+       app-text/hunspell
+       >=app-text/libabw-0.1.0
+       >=app-text/libebook-0.1
+       >=app-text/libetonyek-0.1
+       app-text/libexttextcat
+       app-text/liblangtag
+       >=app-text/libmspub-0.1.0
+       >=app-text/libmwaw-0.3.1
+       >=app-text/libodfgen-0.1.0
+       app-text/libwpd:0.10[tools]
+       app-text/libwpg:0.3
+       >=app-text/libwps-0.4
+       app-text/mythes
+       >=dev-cpp/clucene-2.3.3.4-r2
+       =dev-cpp/libcmis-0.5*
+       dev-db/unixODBC
+       dev-lang/perl
+       >=dev-libs/boost-1.55:=
+       dev-libs/expat
+       dev-libs/hyphen
+       dev-libs/icu:=
+       =dev-libs/liborcus-0.11*
+       dev-libs/librevenge
+       dev-libs/nspr
+       dev-libs/nss
+       !libressl? ( >=dev-libs/openssl-1.0.0d:0 )
+       libressl? ( dev-libs/libressl )
+       >=dev-libs/redland-1.0.16
+       media-gfx/graphite2
+       media-libs/fontconfig
+       media-libs/freetype:2
+       >=media-libs/glew-1.10:=
+       >=media-libs/harfbuzz-0.9.18:=[icu(+)]
+       media-libs/lcms:2
+       >=media-libs/libcdr-0.1.0
+       >=media-libs/libfreehand-0.1.0
+       media-libs/libpagemaker
+       >=media-libs/libpng-1.4:0=
+       >=media-libs/libvisio-0.1.0
+       net-libs/neon
+       net-misc/curl
+       net-nds/openldap
+       sci-mathematics/lpsolve
+       virtual/jpeg:0
+       x11-libs/cairo[X,-xlib-xcb]
+       x11-libs/libXinerama
+       x11-libs/libXrandr
+       x11-libs/libXrender
+       virtual/glu
+       virtual/opengl
+       bluetooth? ( net-wireless/bluez )
+       coinmp? ( sci-libs/coinor-mp )
+       collada? ( >=media-libs/opencollada-1.2.2_p20150207 )
+       cups? ( net-print/cups )
+       dbus? ( dev-libs/dbus-glib )
+       eds? (
+               dev-libs/glib:2
+               gnome-extra/evolution-data-server
+       )
+       firebird? ( >=dev-db/firebird-2.5 )
+       gltf? ( media-libs/libgltf )
+       gnome? ( gnome-base/dconf )
+       gstreamer? (
+               media-libs/gstreamer:1.0
+               media-libs/gst-plugins-base:1.0
+       )
+       gtk? (
+               x11-libs/gdk-pixbuf
+               >=x11-libs/gtk+-2.24:2
+       )
+       gtk3? (
+               dev-libs/glib:2
+               dev-libs/gobject-introspection
+               >=x11-libs/gtk+-3.8:3
+       )
+       jemalloc? ( dev-libs/jemalloc )
+       libreoffice_extensions_scripting-beanshell? ( dev-java/bsh )
+       libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
+       mysql? ( dev-db/mysql-connector-c++ )
+       pdfimport? ( app-text/poppler:=[cxx] )
+       postgres? ( >=dev-db/postgresql-9.0:*[kerberos] )
+       telepathy? ( net-libs/telepathy-glib )
+"
+
+RDEPEND="${COMMON_DEPEND}
+       !app-office/libreoffice-bin
+       !app-office/libreoffice-bin-debug
+       !app-office/openoffice
+       media-fonts/liberation-fonts
+       media-fonts/libertine
+       media-fonts/urw-fonts
+       java? ( >=virtual/jre-1.6 )
+       kde? ( $(add_kdeapps_dep kioclient) )
+       vlc? ( media-video/vlc )
+"
+
+if [[ ${PV} != *9999* ]]; then
+       PDEPEND="=app-office/libreoffice-l10n-$(get_version_component_range 
1-2)*"
+else
+       # Translations are not reliable on live ebuilds
+       # rather force people to use english only.
+       PDEPEND="!app-office/libreoffice-l10n"
+fi
+
+# FIXME: cppunit should be moved to test conditional
+#        after everything upstream is under gbuild
+#        as dmake execute tests right away
+DEPEND="${COMMON_DEPEND}
+       !<sys-devel/make-3.82
+       >=dev-libs/libatomic_ops-7.2d
+       >=dev-libs/libxml2-2.7.8
+       dev-libs/libxslt
+       dev-perl/Archive-Zip
+       dev-util/cppunit
+       >=dev-util/gperf-3
+       dev-util/intltool
+       >=dev-util/mdds-1.2.0:1=
+       media-libs/glm
+       sys-devel/bison
+       sys-devel/flex
+       sys-devel/gettext
+       sys-devel/ucpp
+       sys-libs/zlib
+       virtual/pkgconfig
+       x11-libs/libXt
+       x11-libs/libXtst
+       x11-proto/randrproto
+       x11-proto/xextproto
+       x11-proto/xineramaproto
+       x11-proto/xproto
+       java? (
+               dev-java/ant-core
+               >=virtual/jdk-1.6
+       )
+       odk? ( >=app-doc/doxygen-1.8.4 )
+       test? ( dev-util/cppunit )
+"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+       bluetooth? ( dbus )
+       collada? ( gltf )
+       eds? ( gnome )
+       gnome? ( gtk )
+       telepathy? ( gtk )
+       libreoffice_extensions_nlpsolver? ( java )
+       libreoffice_extensions_scripting-beanshell? ( java )
+       libreoffice_extensions_scripting-javascript? ( java )
+       libreoffice_extensions_wiki-publisher? ( java )
+"
+
+PATCHES=(
+       # not upstreamable stuff
+       "${FILESDIR}/${PN}-5.2-system-pyuno.patch"
+)
+
+CHECKREQS_MEMORY="512M"
+
+if [[ ${MERGE_TYPE} != binary ]] && is-flagq "-g*" && ! is-flagq "-g*0" ; then
+       CHECKREQS_DISK_BUILD="22G"
+elif [[ ${MERGE_TYPE} != binary ]] ; then
+       CHECKREQS_DISK_BUILD="6G"
+fi
+
+pkg_pretend() {
+       use java || \
+               ewarn "If you plan to use lbase application you should enable 
java or you will get various crashes."
+
+       if [[ ${MERGE_TYPE} != binary ]]; then
+               check-reqs_pkg_pretend
+
+               if ! $(tc-is-clang) && [[ $(gcc-major-version) -lt 4 ]] || {
+                               [[ $(gcc-major-version) -eq 4 && 
$(gcc-minor-version) -lt 7 ]]; } then
+                       eerror "Compilation with gcc older than 4.7 is not 
supported"
+                       die "Too old gcc found."
+               fi
+       fi
+
+       # Ensure pg version but we have to be sure the pg is installed (first
+       # install on clean system)
+       if use postgres && has_version dev-db/postgresql; then
+                local pgslot=$(postgresql-config show)
+                if [[ ${pgslot//.} -lt 90 ]] ; then
+                       eerror "PostgreSQL slot must be set to 9.0 or higher."
+                       eerror "    postgresql-config set 9.0"
+                       die "PostgreSQL slot is not set to 9.0 or higher."
+                fi
+       fi
+}
+
+pkg_setup() {
+       java-pkg-opt-2_pkg_setup
+       kde4-base_pkg_setup
+       python-single-r1_pkg_setup
+       xdg_environment_reset
+
+       [[ ${MERGE_TYPE} != binary ]] && check-reqs_pkg_setup
+}
+
+src_unpack() {
+       local mod
+
+       [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
+       use branding && unpack "${BRANDING}"
+
+       if [[ ${PV} != *9999* ]]; then
+               unpack "${P}.tar.xz"
+               for mod in ${MODULES}; do
+                       [[ ${mod} == core ]] && continue
+                       unpack "${PN}-${mod}-${PV}.tar.xz"
+               done
+       else
+               local base_uri branch checkout mypv
+               base_uri="git://anongit.freedesktop.org"
+               for mod in ${MODULES}; do
+                       branch="master"
+                       mypv=${PV/.9999}
+                       [[ ${mypv} != ${PV} ]] && branch="${PN}-${mypv/./-}"
+                       git-r3_fetch "${base_uri}/${PN}/${mod}" 
"refs/heads/${branch}"
+                       [[ ${mod} != core ]] && checkout="${S}/${mod}"
+                       [[ ${mod} == help ]] && checkout="helpcontent2" # 
doesn't match on help
+                       git-r3_checkout "${base_uri}/${PN}/${mod}" ${checkout}
+               done
+       fi
+}
+
+src_prepare() {
+       [[ -n ${PATCHSET} ]] && eapply "${WORKDIR}/${PATCHSET/.tar.xz/}"
+       eapply "${PATCHES[@]}"
+       eapply_user
+
+       AT_M4DIR="m4" eautoreconf
+       # hack in the autogen.sh
+       touch autogen.lastrun
+
+       # system pyuno mess
+       sed -i \
+               -e "s:%eprefix%:${EPREFIX}:g" \
+               -e "s:%libdir%:$(get_libdir):g" \
+               pyuno/source/module/uno.py \
+               pyuno/source/officehelper.py || die
+       # sed in the tests
+       sed -i \
+               -e "s#all : build unitcheck#all : build#g" \
+               solenv/gbuild/Module.mk || die
+       sed -i \
+               -e "s#check: dev-install subsequentcheck#check: unitcheck 
slowcheck dev-install subsequentcheck#g" \
+               -e "s#Makefile.gbuild all slowcheck#Makefile.gbuild all#g" \
+               Makefile.in || die
+
+       if use branding; then
+               # hack...
+               mv -v "${WORKDIR}/branding-intro.png" 
"${S}/icon-themes/galaxy/brand/intro.png" || die
+       fi
+}
+
+src_configure() {
+       local java_opts
+       local ext_opts
+
+       # Set up Google API keys, see 
http://www.chromium.org/developers/how-tos/api-keys
+       # Note: these are for Gentoo use ONLY. For your own distribution, 
please get
+       # your own set of keys. Feel free to contact [email protected] for 
more info.
+       local google_default_client_id="329227923882.apps.googleusercontent.com"
+       local google_default_client_secret="vgKG0NNv7GoDpbtoFNLxCUXu"
+
+       # optimization flags
+       export GMAKE_OPTIONS="${MAKEOPTS}"
+       # System python enablement:
+       export PYTHON_CFLAGS=$(python_get_CFLAGS)
+       export PYTHON_LIBS=$(python_get_LIBS)
+
+       if use collada; then
+               export 
OPENCOLLADA_CFLAGS="-I/usr/include/opencollada/COLLADABaseUtils 
-I/usr/include/opencollada/COLLADAFramework 
-I/usr/include/opencollada/COLLADASaxFrameworkLoader 
-I/usr/include/opencollada/GeneratedSaxParser"
+               export OPENCOLLADA_LIBS="-L /usr/$(get_libdir)/opencollada 
-lOpenCOLLADABaseUtils -lOpenCOLLADAFramework -lOpenCOLLADASaxFrameworkLoader 
-lGeneratedSaxParser"
+       fi
+
+       # libreoffice extensions handling
+       for lo_xt in ${LO_EXTS}; do
+               if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == 
"scripting-javascript" ]]; then
+                       ext_opts+=" $(use_enable 
libreoffice_extensions_${lo_xt} ${lo_xt})"
+               else
+                       ext_opts+=" $(use_enable 
libreoffice_extensions_${lo_xt} ext-${lo_xt})"
+               fi
+       done
+
+       if use java; then
+               # hsqldb: system one is too new
+               java_opts="
+                       --without-junit
+                       --without-system-hsqldb
+                       --with-ant-home="${ANT_HOME}"
+                       --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
+                       --with-jvm-path="${EPREFIX}/usr/lib/"
+               "
+
+               use libreoffice_extensions_scripting-beanshell && \
+                       java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh 
bsh.jar)"
+
+               use libreoffice_extensions_scripting-javascript && \
+                       java_opts+=" --with-rhino-jar=$(java-pkg_getjar 
rhino-1.6 js.jar)"
+       fi
+
+       # system headers/libs/...: enforce using system packages
+       # --enable-cairo: ensure that cairo is always required
+       # --enable-graphite: disabling causes build breakages
+       # --enable-*-link: link to the library rather than just dlopen on 
runtime
+       # --enable-release-build: build the libreoffice as release
+       # --disable-fetch-external: prevent dowloading during compile phase
+       # --enable-extension-integration: enable any extension integration 
support
+       # --without-{fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
+       # --disable-report-builder: too much java packages pulled in without 
pkgs
+       # --without-system-sane: just sane.h header that is used for scan in 
writer,
+       #   not linked or anything else, worthless to depend on
+       econf \
+               --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
+               --with-system-dicts \
+               --with-system-headers \
+               --with-system-jars \
+               --with-system-libs \
+               --enable-cairo-canvas \
+               --enable-graphite \
+               --enable-largefile \
+               --enable-mergelibs \
+               --enable-neon \
+               --enable-python=system \
+               --enable-randr \
+               --enable-release-build \
+               --disable-ccache \
+               --disable-crashdump \
+               --disable-dependency-tracking \
+               --disable-epm \
+               --disable-fetch-external \
+               --disable-gstreamer-0-10 \
+               --disable-hardlink-deliver \
+               --disable-online-update \
+               --disable-report-builder \
+               --with-alloc=$(use jemalloc && echo "jemalloc" || echo 
"system") \
+               --with-build-version="Gentoo official package" \
+               --enable-extension-integration \
+               --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
+               --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
+               --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
+               --with-external-tar="${DISTDIR}" \
+               --with-lang="" \
+               --with-parallelism=$(makeopts_jobs) \
+               --with-system-ucpp \
+               --with-vendor="Gentoo Foundation" \
+               --with-x \
+               --without-fonts \
+               --without-myspell-dicts \
+               --without-help \
+               --with-helppack-integration \
+               --without-sun-templates \
+               --without-system-sane \
+               $(use_enable bluetooth sdremote-bluetooth) \
+               $(use_enable coinmp) \
+               $(use_enable collada) \
+               $(use_enable cups) \
+               $(use_enable debug) \
+               $(use_enable dbus) \
+               $(use_enable eds evolution2) \
+               $(use_enable firebird firebird-sdbc) \
+               $(use_enable gltf) \
+               $(use_enable gnome gio) \
+               $(use_enable gnome dconf) \
+               $(use_enable gstreamer gstreamer-1-0) \
+               $(use_enable gtk) \
+               $(use_enable gtk3) \
+               $(use_enable kde kde4) \
+               $(use_enable mysql ext-mariadb-connector) \
+               $(use_enable odk) \
+               $(use_enable pdfimport) \
+               $(use_enable postgres postgresql-sdbc) \
+               $(use_enable quickstarter systray) \
+               $(use_enable telepathy) \
+               $(use_enable vlc) \
+               $(use_with coinmp system-coinmp) \
+               $(use_with collada system-opencollada) \
+               $(use_with gltf system-libgltf) \
+               $(use_with googledrive gdrive-client-id 
${google_default_client_id}) \
+               $(use_with googledrive gdrive-client-secret 
${google_default_client_secret}) \
+               $(use_with java) \
+               $(use_with mysql system-mysql-cppconn) \
+               $(use_with odk doxygen) \
+               ${java_opts} \
+               ${ext_opts}
+}
+
+src_compile() {
+       # more and more LO stuff tries to use OpenGL, including tests during 
build
+       # bug 501508, bug 540624, bug 545974 and probably more
+       addpredict /dev/dri
+       addpredict /dev/ati
+       addpredict /dev/nvidiactl
+
+       # hack for offlinehelp, this needs fixing upstream at some point
+       # it is broken because we send --without-help
+       # https://bugs.freedesktop.org/show_bug.cgi?id=46506
+       (
+               grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk" || 
die
+               source "${T}/config_host.mk" 2&> /dev/null
+
+               local path="${WORKDIR}/helpcontent2/source/auxiliary/"
+               mkdir -p "${path}" || die
+
+               echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" 
-dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
+               perl "${S}/helpcontent2/helpers/create_ilst.pl" \
+                       -dir=icon-themes/galaxy/res/helpimg \
+                       > "${path}/helpimg.ilst"
+               [[ -s "${path}/helpimg.ilst" ]] || \
+                       ewarn "The help images list is empty, something is 
fishy, report a bug."
+       )
+
+       local target
+       use test && target="build" || target="build-nocheck"
+
+       # this is not a proper make script
+       make ${target} || die
+}
+
+src_test() {
+       make unitcheck || die
+       make slowcheck || die
+}
+
+src_install() {
+       # This is not Makefile so no buildserver
+       make DESTDIR="${D}" distro-pack-install -o build -o check || die
+
+       # Fix bash completion placement
+       newbashcomp "${ED}"usr/share/bash-completion/completions/libreoffice.sh 
${PN}
+       bashcomp_alias \
+               libreoffice \
+               unopkg loimpress lobase localc lodraw lomath lowriter 
lofromtemplate loweb loffice
+
+       if use branding; then
+               insinto /usr/$(get_libdir)/${PN}/program
+               newins "${WORKDIR}/branding-sofficerc" sofficerc
+               dodir /etc/env.d
+               echo 
"CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > 
"${ED}"etc/env.d/99${PN} || die
+       fi
+
+       # Hack for offlinehelp, this needs fixing upstream at some point.
+       # It is broken because we send --without-help
+       # https://bugs.freedesktop.org/show_bug.cgi?id=46506
+       insinto /usr/$(get_libdir)/libreoffice/help
+       doins xmlhelp/util/*.xsl
+
+       # Remove desktop files to support old installs that can't parse mime
+       rm -r "${ED}"usr/share/mimelnk/ || die
+
+       pax-mark -m "${ED}"usr/$(get_libdir)/libreoffice/program/soffice.bin
+       pax-mark -m "${ED}"usr/$(get_libdir)/libreoffice/program/unopkg.bin
+}
+
+pkg_preinst() {
+       # Cache updates - all handled by kde eclass for all environments
+       kde4-base_pkg_preinst
+}
+
+pkg_postinst() {
+       kde4-base_pkg_postinst
+}
+
+pkg_postrm() {
+       kde4-base_pkg_postrm
+}

Reply via email to